Name:           dvtm
Version:        0.15
Release:        %mkrel 5
Summary:        Tiling window management for the console
License:        MIT and LGPLv2
# http://www.brain-dump.org/projects/dvtm/#license
Group:          Terminals
URL:            http://www.brain-dump.org/projects/dvtm/
Source0:        http://www.brain-dump.org/projects/dvtm/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.14-build.patch

BuildRequires:  pkgconfig(ncursesw)

%description
dvtm brings the concept of tiling window management, popularized by
X11-window managers like dwm to the console. As a console window manager
it tries to make it easy to work with multiple console based programs
like vim, mutt, cmus or irssi.

%prep
%autosetup 

%build
sed -i 's/PREFIX.*local*/PREFIX\ =\ \/usr\//' config.mk
# Parallel build is broken (all runs the build and clean concurrently),
# but anyway there are only 2 files to compile.
make

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-status
%{_datadir}/terminfo/d/*
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 0.15-5.mga9
+ Revision: 1797239
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.15-4.mga8
+ Revision: 1511992
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.15-3.mga7
+ Revision: 1297536
- Mageia 7 Mass Rebuild

* Wed Mar 01 2017 pterjan <pterjan> 0.15-2.mga6
+ Revision: 1088443
- Workaround parallel build problem

* Sat Jan 16 2016 barjac <barjac> 0.15-1.mga6
+ Revision: 924632
- new version 0.15

* Wed Sep 16 2015 tv <tv> 0.14-1.mga6
+ Revision: 879903
- new release + reenable debuginfo & fix empty debuginfo (patch 0)

* Wed Sep 09 2015 neoclust <neoclust> 0.12-4.mga6
+ Revision: 874916
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.12-3.mga5
+ Revision: 747898
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12-2.mga5
+ Revision: 678894
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 barjac <barjac> 0.12-1.mga5
+ Revision: 660154
- new version dvtm-0.12

* Thu Jun 05 2014 barjac <barjac> 0.11-1.mga5
+ Revision: 633543
- new version 0.11

* Mon Mar 03 2014 barjac <barjac> 0.10-1.mga5
+ Revision: 598768
- new version
- remove un-needed BR
- fix files list

* Sat Oct 19 2013 umeabot <umeabot> 0.9-2.mga4
+ Revision: 525529
- Mageia 4 Mass Rebuild

* Thu May 30 2013 barjac <barjac> 0.9-1.mga4
+ Revision: 433507
- new version 0.9

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 349198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 barjac <barjac> 0.8-1.mga3
+ Revision: 290587
- New version 0.8

* Mon Dec 12 2011 barjac <barjac> 0.7-1.mga2
+ Revision: 181053
- Update to ver 0.7 and spec clean

* Sun May 01 2011 saispo <saispo> 0.6-1.mga1
+ Revision: 94149
- imported package dvtm

